matrix:
  platform:
  - debian11
  - ubuntu2004
  - macos
  - macos_arm64
  bazel:
  - 8.x
  - 7.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
    - '--host_copt=-Wno-deprecated-declarations'
    - '--copt=-Wno-deprecated-declarations'
    build_targets: &cel_build_targets
    - '@cel-spec//proto/cel/expr:checked_cc_proto'
    - '@cel-spec//proto/cel/expr:eval_cc_proto'
    - '@cel-spec//proto/cel/expr:explain_cc_proto'
    - '@cel-spec//proto/cel/expr:syntax_cc_proto'
    - '@cel-spec//proto/cel/expr:value_cc_proto'
    - '@cel-spec//proto/cel/expr/conformance/proto2:test_all_types_cc_proto'
    - '@cel-spec//proto/cel/expr/conformance/proto3:test_all_types_cc_proto'

  verify_targets_windows:
    name: "Verify Windows build targets"
    platform: windows
    bazel: ${{ bazel }}
    build_targets: *cel_build_targets
